<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-6">
      <div class="text-center">
        <h1>Overzicht aanpassen</h1>
      </div>

      <div *ngIf="!loginCheck()">Log in</div>

      <form
        *ngIf="overview && loginCheck()"
        #overviewForm="ngForm"
        name="form"
        (ngSubmit)="overviewForm.form.valid && onSubmit()"
        novalidate
      >
        <div>Vul alle velden in.</div>
        <div class="form-group">
          <label for="name">Naam:</label>
          <input
            [(ngModel)]="overview.name"
            name="name"
            id="name"
            #name="ngModel"
            class="form-control"
            type="text"
            required
          />
          <div
            *ngIf="name.invalid && (name.touched || overviewForm.submitted)"
            class="alert alert-danger"
          >
            <div *ngIf="name.errors.required">Voer een naam in</div>
          </div>
        </div>

        <div class="form-group">
          <label for="year">Jaar:</label>
          <input
            [(ngModel)]="overview.year"
            name="year"
            id="year"
            class="form-control"
            #year="ngModel"
            class="form-control"
            type="number"
            required
          />
          <div
            *ngIf="year.invalid && (year.touched || overviewForm.submitted)"
            class="alert alert-danger"
          >
            <div *ngIf="year.errors.required">Voer een jaar in</div>
          </div>
        </div>
        <div class="form-group">
          <label for="description">Omschrijving:</label>
          <input
            [(ngModel)]="overview.description"
            name="description"
            id="description"
            #description="ngModel"
            class="form-control"
            type="string"
          />
        </div>

        <button type="submit" class="btn btn-medium btn-main">Aanpassen</button>
      </form>
    </div>
  </div>
</div>
